## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/containerd/nri
%global goipath         github.com/containerd/nri
Version:                0.3.0

%gometa


%global common_description %{expand:
Node Resource Interface.}

%global golicenses      LICENSE
%global godocs          docs examples README-v0.1.0.md README.md\\\
                        plugins/device-injector/README.md\\\
                        plugins/v010-adapter/README.md plugins/hook-\\\
                        injector/README.md plugins/logger/README.md\\\
                        plugins/differ/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Node Resource Interface

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
# this plugins needs go podman
Patch1:         disable_plugin_wook_injector.patch

BuildRequires:  golang(github.com/containerd/cgroups)
BuildRequires:  golang(github.com/containerd/containerd)
BuildRequires:  golang(github.com/containerd/containerd/api/types)
BuildRequires:  golang(github.com/containerd/containerd/cio)
BuildRequires:  golang(github.com/containerd/containerd/oci)
BuildRequires:  golang(github.com/containerd/ttrpc)
#BuildRequires:  golang(github.com/containers/podman/v3/pkg/hooks)
BuildRequires:  golang(github.com/moby/sys/mountinfo)
BuildRequires:  golang(github.com/opencontainers/runtime-spec/specs-go)
BuildRequires:  golang(github.com/opencontainers/runtime-tools/generate)
BuildRequires:  golang(github.com/r3labs/diff/v3)
BuildRequires:  golang(github.com/onsi/ginkgo/v2)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/sters/yaml-diff/yamldiff)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
BuildRequires:  golang(k8s.io/cri-api/pkg/apis/runtime/v1)
BuildRequires:  golang(sigs.k8s.io/yaml)

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1
rm -rf plugins/hook-injector/

%build
# plugins/differ
#_build/src/github.com/containerd/nri/plugins/differ/nri-differ.go:317:14: assignment mismatch: 1 variable but yamldiff.Load returns 2 values
#_build/src/github.com/containerd/nri/plugins/differ/nri-differ.go:323:17: assignment mismatch: 1 variable but yamldiff.Load returns 2 values
#_build/src/github.com/containerd/nri/plugins/differ/nri-differ.go:326:21: invalid operation: diff.Status == yamldiff.DiffStatusSame (mismatched types func() yamldiff.DiffStatus and yamldiff.DiffStatus)
#_build/src/github.com/containerd/nri/plugins/differ/nri-differ.go:331:58: diff.Diff undefined (type *yamldiff.YamlDiff has no field or method Diff)
# needs golang-github-sters-yaml-diff version v0.5.0

for cmd in plugins/logger plugins/template plugins/differ plugins/device-injector plugins/v010-adapter; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc docs examples README-v0.1.0.md README.md plugins/device-injector/README.md
%doc plugins/v010-adapter/README.md plugins/hook-injector/README.md
%doc plugins/logger/README.md plugins/differ/README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed May 24 2023 Sérgio M. Basto <sergio@serjux.com> - 0.3.0-3
- Uncommitted changes

* Tue May 23 2023 Sérgio M. Basto <sergio@serjux.com> - 0.3.0-2
- Rebuild for cgroups/v3

* Sat Apr 29 2023 Sérgio M. Basto <sergio@serjux.com> - 0.3.0-1
- remove plugins/hook-injector/

* Fri Mar 31 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0-1
- Revert "Update nri to v0.3.0"

* Fri Mar 31 2023 Dalton Hubble <dghubble@gmail.com> - 0.3.0-1
- Update nri to v0.3.0
- https://github.com/containerd/nri/releases/tag/v0.3.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 14 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.1.0-1
- Update to upstream 0.1.0 (fixes rhbz#1963659)

* Thu Mar 18 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0-2
- Bump to commit dbaa18c31c143713ae0004766bd00d51fb7d87b0

* Fri Jan 29 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0-1
- Initial import (#1921412)
